package cn.fw.dalaran.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

/**
 * @author kurisu
 * @date 2021-11-16 15:44
 * @description 短视频池
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class VideoPool extends BaseAuditableTimeEntity<VideoPool, Long> {
    /**
     * 账号id
     */
    private Long accountId;
    /**
     * 平台类型
     */
    private PlatformEnum platform;
    /**
     * 视频id
     */
    private String videoId;
    /**
     * 播放地址
     */
    private String playUrl;
    /**
     * 视频标题
     */
    private String title;
    /**
     * 预览图
     */
    private String preview;
    /**
     * 观看人数
     */
    private Integer uv;
    /**
     * 完整观看人数
     */
    private Integer fullUv;
    /**
     * 点赞数
     */
    private Integer likeNum;
    /**
     * 分享数
     */
    private Integer shareNum;
    /**
     * 评论数
     */
    private Integer commentNum;
    /**
     * 新增粉丝数
     */
    private Integer newFanNum;
    /**
     * 时长（秒）
     */
    private Integer duration;
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 主题
     */
    private String theme;
    /**
     * 话题
     */
    private String tags;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 是否有效视频
     */
    private Integer validVideo;
}
