package cn.fw.dalaran.rpc.oop.dto;

import cn.fw.oop.sdk.result.GroupInfoVo;
import lombok.Data;

import java.util.Set;

/**
 * 集团信息DTO
 * <p>
 * create at 2019-07-24
 *
 * @author zhangjj
 */
@Data
public class GroupDTO {
    /**
     * 集团id
     */
    private Long id;
    /**
     * 集团名称
     */
    private String name;
    /**
     * 集团在售品牌
     */
    private Set<Long> brandIds;

    /**
     * create an instance with {@link GroupInfoVo}
     */
    public static GroupDTO with(final GroupInfoVo info) {
        final GroupDTO dto = new GroupDTO();
        dto.setId(info.getId());
        dto.setName(info.getGroupName());
        return dto;
    }
}
